/************************
* Mousebutton functions *
************************/
char AString[] = "I GOT FOCUS!";

BEGIN_PROSIT_HEADER(Mousebutton_Header)
  DEFINE_PROSIT_VERSION(PROSIT_VERSION_NUMBER)
  DEFINE_PROSIT_FILETYPE(PROSIT_FILETYPE_PROGRAM)
  DEFINE_PROSIT_STACKSIZE(1024)
END_PROSIT_HEADER

void Mousebutton_Process(void)
{
  EventClickStruct e;

  while(1) {

    // Wait for the user to press the mouse button.
    while(MOUSEKEY)
      BreakAndCooperate();

    // Find out what window recieved the click.
    e.w = (PWINDOW *)WindowList.first;

    while(((e.xy.x0 = MouseX - e.w->X) < 0) ||
          ((e.xy.y0 = MouseY - e.w->Y) < 0) ||
          (e.xy.x0 >= e.w->Width) ||
          (e.xy.y0 >= e.w->Height))
      e.w = (PWINDOW *)(e.w->header.next);

    if(MouseInside(e.w, &e.w->Win.Client))
      e.action = EVENT_CLICK_CLIENT;
    else
      e.action = EVENT_CLICK_WINDOW;

    TriggerEvent(e.w->Win.TaskId, EVENT_CLICK_size, &e);

    // Wait for the user to release the mouse button.
    while(!MOUSEKEY)
      BreakAndCooperate();
  }
}
